/**********************************************************************/
/*                                                                    */
/*    TEST32.C -- Test program for 32-bit access to WALTIO.DLL        */
/*                                                                    */
/*    Copyright (C) 1993 by Walter Oney                               */
/*    All rights reserved                                             */
/*                                                                    */
/**********************************************************************/

#include <windows.h>

#define WALTIO_MAIN main
#include "waltio.h"

int main(int argc, char *argv[])
   {                             // main
   char modname[260];
   int i;
   DWORD now;

   puts("Hello, world!");
   printf("The current Windows version is %8.8X\n", GetVersion());
   GetModuleFileName(NULL, modname, sizeof(modname));
   printf("This name of this module is %s\n", modname);

   now = GetCurrentTime();
   for (i = 0; i < 10000; ++i)
      FortyTwo();
   now = GetCurrentTime() - now;
   printf("Benchmark results: 10000 calls to FortyTwo needed"
      " %d milliseconds (average %d microseconds per call)\n",
      now, now/10);
   return 0;
   }                             // main
